%define upstream_name    Log-Report
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Error message dispatcher with translation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(Encode) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report::Optional) >= 1.20.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Print) >= 0.130.0
BuildRequires: perl(Sys::Syslog) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
Handling messages to users can be a hassle, certainly when the same module
is used for command-line and in a graphical interfaces, and has to cope
with internationalization at the same time; this set of modules tries to
simplify this. Log::Report combines 'gettext' features with
Log::Dispatch-like features. However, you can also use this module to do
only translations or only message dispatching.

Read more about how and why in the the /DETAILS manpage section, below.
Especially, you should *read about the REASON parameter*.

Content of the whole 'Log::Report' package:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.160.0-2pclos2017
- rebuild against updates

